Atualizar ticket completo

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
PUT /ticketapi/1.0/api/v1/tickets/{ticketId}

Atualizar ticket completo.

Path parameters

  • ticketId integer Required

    ID numérico do ticket

application/json

Body

  • title string
  • description string
  • channel string
  • priority string
  • projectId number
  • clientId number
  • responsibleId number

Responses

  • 200 application/json

    Requisição processada com sucesso. Retorna os dados correspondentes ao filtro informado.

    Hide response attributes Show response attributes object
    • status string
    • message string
  • 401 application/json

    Token de autenticação ausente ou inválido. Envie o header Authorization: Bearer {token}.

    Hide response attribute Show response attribute object
    • status string
  • 404 application/json

    Recurso não encontrado para os parâmetros informados.

    Hide response attribute Show response attribute object
    • status string
PUT /ticketapi/1.0/api/v1/tickets/{ticketId}
curl \
 --request PUT 'https://api.neppo.com.br/ticketapi/1.0/api/v1/tickets/{ticketId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"title":"Ajustar cor do botão principal","description":"O botão 'Comprar' deve ter a cor verde escuro.","channel":"PORTAL","priority":"CRITICAL","projectId":12,"clientId":543,"responsibleId":99}'
Request example
{
  "title": "Ajustar cor do botão principal",
  "description": "O botão 'Comprar' deve ter a cor verde escuro.",
  "channel": "PORTAL",
  "priority": "CRITICAL",
  "projectId": 12,
  "clientId": 543,
  "responsibleId": 99
}
Response examples (200)
{
  "status": "SUCCESS",
  "message": "Ticket atualizado com sucesso"
}
Response examples (401)
{
  "status": "Unauthorized"
}
Response examples (404)
{
  "status": "Not Found"
}